GET /villagers

dodo.ac

Summary: Villagers
Operation ID:
Auth: unknown
Description

This endpoint retrieves villager information from the entire *Animal Crossing* series, with the option to filter by species, personality, game, and/or birthday. Filters use the AND operator (e.g. asking for villagers who have species `frog` and personality `smug` will return all smug frogs). Note that villagers only include the animals that act as residents. Special characters, such as Tom Nook and Isabelle, are not accessed through this endpoint.

Parameters (11)

Accept-Version (string, header, required)

The version of the API you are calling, written as `1.0.0`. This is specified as required as good practice, but it is not actually enforced by the API. If you do not specify a version, you will be served the latest version, which may eventually result in breaking changes.

X-API-KEY (string, header, required)

Your UUID secret key, granted to you by the Nookipedia team. Required for accessing the API.

birthday (string, query, optional)

Use with `birthmonth` to get villager(s) born on a specific day. Value should be an int, 1 through 31.

birthmonth (string, query, optional)

Retrieve villagers born in a specific month. Value may be the month's name (`jan`, `january`) or the integer representing the month (`01`, `1`).

excludedetails (string, query, optional)

When set to `true`, only villager names are returned. Instead of an array of objects with all details, the return will be an array of strings.

game (array, query, optional)

Retrieve villagers that appear in all listed games. For example, if you want only villagers that appear in both *New Horizons* and *Pocket Camp*, you would send in `?game=nh&game=pc`.

name (string, query, optional)

Villager name. For most names you will get back an array with one object, but note that names are not a unique identifier across the series, as there are 3 names that are shared by multiple villagers (Lulu, Petunia, Carmen). For those 3 names you will get back an array with 2 objects. How you disambiguate between these villagers is up to you.

nhdetails (string, query, optional)

When set to `true`, an `nh_details` object will be included that contains *New Horizons* details about the villager. If the villager does not appear in *New Horizons*, the returned `nh_details` field will be set to null.

personality (string, query, optional)

Retrieve villagers with a certain personality. For 'sisterly', note that the community often also calls it 'uchi' or 'big sister'.

Constraints: {'enum': ['big sister', 'cranky', 'jock', 'lazy', 'normal', 'peppy', 'sisterly', 'smug', 'snooty']}

species (string, query, optional)

Retrieve villagers of a certain species.

Constraints: {'enum': ['alligator', 'anteater', 'bear', 'bear cub', 'bird', 'bull', 'cat', 'cub', 'chicken', 'cow', 'deer', 'dog', 'duck', 'eagle', 'elephant', 'frog', 'goat', 'gorilla', 'hamster', 'hippo', 'horse', 'koala', 'kangaroo', 'lion', 'monkey', 'mouse', 'octopus', 'ostrich', 'penguin', 'pig', 'rabbit', 'rhino', 'rhinoceros', 'sheep', 'squirrel', 'tiger', 'wolf']}

thumbsize (integer, query, optional)

Specify the desired width of returned image URLs. When unspecified, the linked image(s) returned by the API will be full-resolution. Note that images can only be reduced in size; specifying a width greater than than the maximum size will return the default full-size image URL. Note that requesting specific image sizes for long lists may result in a very long response time.

No probe data for this endpoint yet.